

.. index::
   pair: Dash ; Documentation
   ! Dash

.. _dash:

=======================
Dash
=======================

.. seealso::

   - http://kapeli.com/dash



Description
============

``Dash`` is an API Documentation Browser and Code Snippet Manager.

Dash stores snippets of code and instantly searches offline documentation sets
for 150+ APIs (for a full list, see below).

You can even generate your own docsets or request docsets to be included.


Dash user contributions
========================

.. seealso::

   - https://github.com/Kapeli/Dash-User-Contributions


Dash in doxygen
================

.. seealso::

   - :ref:`dash_doxygen`


Sphinx dash builder
===================

.. seealso::

   - :ref:`sphinxcontrib_dashbuilder`



Zeal
====

.. seealso::

   - :ref:`zeal`


Documentation Browser
======================

- 150+ offline docsets
- Instant, fuzzy search
- Great integration with other apps
- Easily download docsets
- Easily generate docsets:

    - Supports AppleDoc docsets
    - Supports `Doxygen docsets`_
    - Supports CocoaDocs docsets
    - Supports Python / Sphinx docsets
    - Supports Ruby / RDoc docsets
    - Supports Javadoc docsets
    - Supports Scaladoc docsets
    - Supports Any HTML docse


.. _`Doxygen docsets`:  http://kapeli.com/docsets#doxygen
